BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.Leave.TimeAttendants.UserDutyTime Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.Leave.TimeAttendants.UserDutyTime:

## Properties
Guid | ProfileId = Guid.Empty`[get, set]`
Guid | DutyTimeId = Guid.Empty`[get, set]`
DutyTime | DutyTime`[get, set]`
DateTime? | EffectiveDate`[get, set]`
bool | IsProcess = false`[get, set]`
string? | Remark`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ DutyTime

DutyTime BMA.EHR.Domain.Models.Leave.TimeAttendants.UserDutyTime.DutyTime
| get set

## ◆ DutyTimeId

Guid BMA.EHR.Domain.Models.Leave.TimeAttendants.UserDutyTime.DutyTimeId = Guid.Empty
| get set

## ◆ EffectiveDate

DateTime? BMA.EHR.Domain.Models.Leave.TimeAttendants.UserDutyTime.EffectiveDate
| get set

## ◆ IsProcess

bool BMA.EHR.Domain.Models.Leave.TimeAttendants.UserDutyTime.IsProcess = false
| get set

## ◆ ProfileId

Guid BMA.EHR.Domain.Models.Leave.TimeAttendants.UserDutyTime.ProfileId = Guid.Empty
| get set

## ◆ Remark

string? BMA.EHR.Domain.Models.Leave.TimeAttendants.UserDutyTime.Remark
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/Leave/TimeAttendants/UserDutyTime.cs